Loading...
Searching...
No Matches
compute_minimiser.cpp File Reference

Implements raptor::compute_minimiser. More...

`#include <robin_hood.h>`
`#include <seqan3/io/sequence_file/input.hpp>`
`#include <seqan3/search/views/minimiser_hash.hpp>`
`#include <raptor/adjust_seed.hpp>`
`#include <raptor/call_parallel_on_bins.hpp>`
`#include <raptor/dna4_traits.hpp>`
`#include <raptor/file_reader.hpp>`
`#include <raptor/prepare/compute_minimiser.hpp>`
`#include <raptor/prepare/cutoff.hpp>`

## Functions

void | raptor::compute_minimiser (prepare_arguments const &arguments)
std::filesystem::path | raptor::get_output_path (std::filesystem::path const &output_dir, std::filesystem::path const &file_name)
void | raptor::write_list_file (prepare_arguments const &arguments)

## Detailed Description

Implements raptor::compute_minimiser.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>